Support Forum

Every time that you post a problem, PLEASE add the Joomla and the extension's versions and revisions (for example: Joomla 3.3.6, Contact Enhanced 3.3.5), PHP version and Server's Operating System. If you only manage only one site it is easier if you edit your profile and just add that information to your signature. Don't forget to add a detailed description of the problem. If possible, write down all steps to simulate the problem.

Before submitting a new post, PLEASE make sure you are running the latest version, test in different browsers (IE, FF, Chrome,..) and clear Joomla and browser's cache after every change you make.

Also, most questions are already answered in our FAQ and in iFAQ and Contact Enhanced documentation pages.

× Contact Enhanced is a contact component manager created to replace Joomla! core contacts component and add lots of advantages and new features (see Features ) and it offers many plugins and modules for several different purposes,
Product page | Documentation Page

Upgrade from Joomla 2.58 to 3.x

1 month 3 days ago #24645 by mwb12345
Hi,

I have an older site running Joomla 2.5.8 and want to move to Joomla 3.x. I have to make the first move to Joomla 3.5.1 first. Currently, I have CE version 2.5.9 at this moment. What is the proper procedure for your extension at this point? Will it make the transition or should I update or remove? If I remove, How do keep the current settings, templates, fields, and contacts?

Please Log in or Create an account to join the conversation.

1 month 3 days ago #24646 by support
Dear mwb12345,

You should NOT remove/uninstall, otherwise, all data and configuration will be lost.

I'll send Contact Enhanced for Joomla 3.5 to you, so you can upgrade to Contact Enhanced 3.5 first.

The upgrade procedure is just like the installation. Contact Enhanced will perform all upgrade procedure automatically when you install the newer version on top of the older one.

Don't forget to create a full backup before upgrading.

Best wishes,

Please Log in or Create an account to join the conversation.

1 month 2 days ago #24647 by mwb12345
Hi,

Okay, I attempted installation. I did get this error:

Cannot install com_contactenhanced 3.x in a Joomla release prior to 3.0
Component Install: Custom install routine failure
Package Install: There was an error installing an extension: com_contactenhanced__3.5.1.1___20160406_0855.zip

But I do see all modules showing version 3.5, the pacakge and component both show 2.5.29

Please Log in or Create an account to join the conversation.

1 month 2 days ago #24648 by support
Greetings,

You should first upgrade to Joomla 3.5 and then upgrade to Contact Enhanced. I should have mentioned that.

Best regards,

Please Log in or Create an account to join the conversation.

1 month 2 days ago #24649 by mwb12345
Ok, does that mean I need to revert back or will it still work? Its still functioning on the website

Please Log in or Create an account to join the conversation.

1 month 2 days ago #24650 by support
Greetings,

Have you already upgrade to Joomla 3.5?

The correct procedure is to first upgrade Joomla, then upgrade Contact Enhanced.

Best regards,

Please Log in or Create an account to join the conversation.

1 month 1 day ago #24651 by mwb12345
Yes, I did. I will have to revert back to older backup.

Please Log in or Create an account to join the conversation.

1 month 1 day ago #24652 by support
If you have already upgraded Joomla, that's the correct procedure, There's no need to revert back to older backup.

The error code you mention should only be displayed on Joomla 2.5 and older, that's why I'm having a hard time to understand what's happening exactly.

If the problem persists, please create a full backup and provide administrator access, so I can take a closer look. You can send the login credentials using the Support -> Contact Form.

Best regards

Please Log in or Create an account to join the conversation.

Powered by Kunena Forum

Copyright © 2018 IdealExtensions.com. All Rights Reserved.

This site is not affiliated with or endorsed by the Joomla!™ Project. It is not supported or warranted by the Joomla!™ Project or Open Source Matters™. The Joomla!™ logo is used under a limited license granted by Open Source Matters™, the trademark holder in the United States and other countries.
We may collect your IP address and your browser's User Agent string while using our site for security reasons and deriving aggregate information (analytics). This information is retained for a minimum of 1 and a maximum of 24 months.

Get email notifications of new releases

SIGN UP NOW TO OUR NEWSLETTER

AND NEVER MISS AN IMPORTANT UPDATE

captcha 
You may opt-out at anytime.
Feedback